@echo OFF
rem  * *******************************************************************
rem  *               IVP4NOTE.cmd - a Windows Command File               *
rem  *         This program is provided by SimoTime Technologies         *
rem  *           (C) Copyright 1987-2019 All Rights Reserved             *
rem  *             Web Site URL:   http://www.simotime.com               *
rem  *                   e-mail:   helpdesk@simotime.com                 *
rem  * *******************************************************************
rem  *
rem  * Text   - Installation Verification Program (IVP) for SimoNOTE.cmd.
rem  * Author - SimoTime Technologies
rem  *
rem  * This command line script will display messages to the screen and
rem  * write the messages to a log file. This script will call SimoNOTE
rem  * to do the actual display and write to the log file.
rem  *
rem  * Note: the message text must be enclosed in double quotes. This
rem  *       will allow embedded spaces in the message text. If the
rem  *       double quotes are not used the message will be truncated
rem  *       after the first space character.
rem  *
rem  * Note: prior to writing to the log file the SimoNOTE procedure
rem  *       will insert a date and time stamp at the front of the
rem  *       message text.
rem  *
rem  * Note: The text string must not contain embedded double quotes.
rem  *
     setlocal
     set SimoNOTE=c:\SimoLIBR\LOGS\Ivp4NOTE.TXT
     if exist %SimoNOTE% erase %SimoNOTE%
rem  *
     call SimoNOTE "*******************************************************Ivp4NOTE"
     call SimoNOTE "Starting JobName Ivp4NOTE, User is %USERNAME%"
rem  *
     call SimoNOTE "Executing the Installation Verification Procedure for SIMONOTE"
rem  *
     call SimoNOTE "Conclude The log file is %SimoNOTE%"
rem  *
     call SimoNOTE "Finished JobName Ivp4NOTE, User is %USERNAME%"
     if not "%1" == "nopause" start NotePAD %SimoNOTE%
     endlocal
     if not "%1" == "nopause" pause
